<template>
  <el-row :gutter="20" class="mainCabinetPage">
    <el-col class="headBlock">
      <h1>Главная</h1>
      <p class="headDescription">
        Для начала работы выберите доступный проект или создайте новый
      </p>
    </el-col>
    <el-col :sm="{span:8}">
      <div class="itemBlock addItemBlock">
        <button><img src="@/assets/main/add.svg" alt=""> Создать новый</button>
      </div>
    </el-col>
    <el-col v-for="item in items" v-bind:key="item.name" :sm="{span:8}">
      <div class="itemBlock">
        <p class="head">{{ item.name }}</p>
        <router-link to="#"><img src="@/assets/main/arrow-right.svg" alt=""></router-link>
        <div class="content">
          <p class="name">{{ item.name }}</p>
          <p class="descr">{{ item.descr }}</p>
        </div>
        <div class="iconBlock">
          <img src="@/assets/main/icon.svg" alt="">
        </div>
      </div>
    </el-col>
  </el-row>
</template>

<script>
export default {
  data:()=>({
    items:[
      {
        name: 'Подразделение 1',
        descr: 'Для опытов',
      },
      {
        name: 'Подразделение 2',
        descr: 'Песочница проекта ДомКлик',
      },
      {
        name: 'Подразделение 3',
        descr: 'Тест проект по рассчету налоговой нагрузки',
      },
      {
        name: 'Подразделение 4',
        descr: 'Для опытов',
      },
      {
        name: 'Подразделение 5',
        descr: 'Тестовый полигон',
      }
    ]
  }),
  computed: {
    userInfo() {
      return JSON.parse(this.$store.getters.get_user_info);
    }
  }
}
</script>